#
# spec file for package libmesode
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define c_lib   libmesode0
Name:           libmesode
Version:        0.10.1
Release:        1.16
Summary:        An XMPP library for C
License:        GPL-3.0-or-later OR MIT
Group:          Development/Libraries/C and C++
URL:            https://github.com/profanity-im/libmesode
Source0:        https://github.com/profanity-im/%{name}/archive/%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libexpat-devel >= 2.0.0
BuildRequires:  libopenssl-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  make
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mesode is a collection of libraries for speaking the XMPP protocol.
It focus extends chat-based applications; it has has been used to
implement real-time games, notification systems, and search engines.

%package -n libmesode-devel
Summary:        Development files for libmesode, an XMPP library
Group:          Development/Libraries/C and C++
Requires:       libmesode0 = %{version}

%description -n libmesode-devel
Mesode is a collection of libraries for speaking the XMPP protocol.

This package contains the development files and headers for libmesode.

%package -n %{c_lib}
Summary:        An XMPP library for C
Group:          System/Libraries

%description -n %{c_lib}
Mesode is a collection of libraries for speaking the XMPP protocol.
It focus extends chat-based applications; it has has been used to
implement real-time games, notification systems, and search engines.

%prep
%setup -q

%build
mkdir m4
./bootstrap.sh
%configure --disable-static --with-libxml2
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm %{buildroot}%{_libdir}/libmesode.la

%post -n libmesode0 -p /sbin/ldconfig

%postun -n libmesode0 -p /sbin/ldconfig

%files -n libmesode0
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_libdir}/libmesode.so.*

%files -n libmesode-devel
%defattr(-,root,root)
%{_libdir}/libmesode.so
%{_includedir}/mesode.h
%{_libdir}/pkgconfig/libmesode.pc

%changelog
* Mon Oct 19 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.10.1:
  * Use correct version in configure.ac
* Tue Sep 29 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.10.0:
  * New API:
  - xmpp_stanza_get_child_by_name_and_ns()
  - xmpp_stanza_new_from_string()
  * Fixed issue with IPv6 on Windows (strophe/libstrophe#153)
  * LibreSSL support
  * Improved portability across systems such as Haiku, Windows
* Fri Oct 11 2019 Michael Vetter <mvetter@suse.com>
- Update to 0.9.3:
  * PLAIN mechanism is used only when no other mechanisms are supported
  * Legacy authentication is disabled by default, can be enabled with connection flag XMPP_CONN_FLAG_LEGACY_AUTH
  * Session is not established if it is optional
  * Fixed a bug causing a reused connection not to cleanup properly
  * Improved debug logging in OpenSSL module
  * Few memory leaks fixed
* Wed Sep 19 2018 mvetter@suse.com
- Update to 0.9.2:
  * OpenSSL tls module verifies certificate by default. Set flag
    XMPP_CONN_FLAG_TRUST_TLS to ignore result of the verification
  * Certificate hostname verification is forced for
    openssl-1.0.2 and newer
  * OpenSSL tls module disables insecure SSLv2 SSLv3 and TLSv1
  * Support of handlers with the same callback function,
    but different userdata
  * System handlers are deleted on xmpp_conn_t reconnection.
    Old system handlers could cause problems
  * Default timeout for xmpp_run() is increased from 1 millisecond
    to 1 second in order to reduce CPU consumption
  * Reduced memory usage in expat module
  * New functions:
  * xmpp_ctx_set_timeout()
  * xmpp_sha1_digest()
- Remove libmesode-0.9.1-openssl-1.1.patch: upstreamed
* Mon Dec  4 2017 mvetter@suse.com
- Add libmesode-0.9.1-openssl-1.1.patch:
  Fix build with openssl 1.1.
  Taken from commits:
  * 5ab52edb943985fc3943b33d9a6be1b23045a052
  * b91872cf7e7ed4d2443ab5c622f4cdb395d64dbe
* Sun Nov  6 2016 jengelh@inai.de
- Trim prose from description
* Wed Nov  2 2016 dheidler@suse.de
- initial package for 0.9.1
